Drupal tabanlı kuracağımız bir sistem php 5.2 gerektirmekte. Fakat güncel lampp versiyonları 5.4 içeriyor. Lampp serverın birden fazla php versiyonuyla çalışması mümkün mü ? Eğer mümkünse bunu nasıl yapabilirim ?

soruldu: 02 Nis '13, 06:00

grhn25's gravatar image

grhn25
16235
cevap kabul oranı: 0%

değiştirildi: 05 Nis '13, 03:08

Cevabınız ve düzeltmeleriniz için teşekkür ederim. Biz aslında openschoları kullanacağız fakat buda drupal 6 üzerine yazıldığı için bu konuda biraz sıkıntı çekiyoruz.

(05 Nis '13, 03:12) grhn25 grhn25's gravatar image

Web sunucunuzu (LAMP dediğinize göre bu Apache oluyor) yapılandıran httpd.conf dosyasının sonunda şu tanımları göreceksiniz:

LoadModule php5_module "...yol/...dll"
AddType application/x-httpd-php .php
PHPIniDir "...yol"

Yani web sunucunuzda sadece tek bir PHP sürümü tanımlayabilirsiniz. Eğer paketle gelen PHP sürümünü değil de PHP 5.2 kullanmak istiyorsanız

  • eski sürümü indirin (http://www.php.net/releases/)
  • sabit diskte herhangi bir yere kurun,
  • Apache'nin httpd.conf dosyasında yukarıdaki yolları bu sürümü gösterecek şekilde değiştirin,

hepsi bu kadar.

Ama Drupal en güncel PHP sürümüyle hiç sorunsuz çalışıyor, neden daha eski bir sürümü tercih ediyorsunuz?

permanent link

cevaplandı: 04 Nis '13, 19:21

Sahin's gravatar image

Sahin
46115
cevap kabul oranı: 0%

İki de küçük düzeltme:

  • Başlıkta ve etiketlerde Lampp -> LAMP yaparsanız, ve
  • etiketlere "Drupal"ı da eklerseniz

aramalarda diğer arkadaşlara kolaylık sağlamış olursunuz.

permanent link

cevaplandı: 04 Nis '13, 19:27

Sahin's gravatar image

Sahin
46115
cevap kabul oranı: 0%

Cevabınız
toggle preview

Bu soruyu takip et

E-Posta üzerinden:

Üyelik girişi yaptıktan sonra abonelik işlemlerini yapabilirsiniz

RSS üzerinden:

Cevaplar

Cevaplar ve Yorumlar

Yazı Formatlama

  • *italic* ya da _italic_
  • **bold** ya da __bold__
  • link:[text](http://url.com/ "başlık")
  • resim?![alt text](/path/img.jpg "başlık")
  • liste: 1. Foo 2. Bar
  • temel HTML etiketleri de kullanılabilir

Bu sorunun etiketleri:

×4
×1

Soruldu: 02 Nis '13, 06:00

Görüntüleme: 676 kez

Son güncelleme: 05 Nis '13, 09:47

powered by BitNami OSQA